Subject: [Gen-art] review of draft-ietf-mip4-fmipv4-07.txt

From: Francis Dupont <[email-masked]>
Date: Sun, 03 Jun 2007 18:05:20 +0200

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-ietf-mip4-fmipv4-07.txt
Reviewer: Francis Dupont
Review Date: 2007/06/01
IETF LC End Date: 2007/06/01

Summary: Ready

Comments: some editorial (i.e., to be handled by the RFC editor) comments:
 at page 6 section 4.2:
 - in FA COA mode -> in FA-COA mode
 - for the FSU field, I propose to add a MUST somewhere, for instance:
   are used -> MUST be used
 and for each field
   XXX field must be -> XXX field is
 in 10 page 25 (and TOC pge 2): Acknowledgement -> Acknowledgment
 same? in 6.2 figure 4 page 11

In Security Considerations page 8 there is nothing about replay attacks,
i.e., how the "come back to where you was" attack is handled? In IPv6
the protection is provided by IPsec with in the good case anti-replay,
is it done in IPv4?

Regards

[email-masked]

PS: I apologize: I am late because I had to replace the disk of my notebook...

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art

---

From: Rajeev Koodli <[email-masked]>
Date: Fri, 08 Jun 2007 15:23:59 -0700

Hi Francis,

Thank you for your review.

>  same? in 6.2 figure 4 page 11

Okay. (I think you mean FSU->FBU)

> the protection is provided by IPsec with in the good case anti-replay,

RFC 3344 Section "5.7 Replay Protection for Registration Requests" specifies
how replay protection is done in MIP4. It provides Timestamp-based and
nonce-based protection, using the Identification field.

FBU and FBack follow the Registration Request and Registration Reply formats
(with different Type numbers of course). We mention that the usage of the
Identification field is identical to that in RFC 3344.

> PS: I apologize: I am late because I had to replace the disk of my notebook...

No problem.

Regards,

-Rajeev

-- 
http://people.nokia.net/~rajeev